/*
** Graphic Equalizer Display
**
** 10/25/07 v1.00 LDJ 
** 12/06/07 v2.00 logarithmic scale improved animation
*/
#include <p32xxxx.h>
#include <graphic.h>
#include "fft.h"

int peak[ N_FFT/2];

void equDisplay( unsigned short *buffer)
{
    int v, i, j, k, q;
    int thick, n;
    static int cycle;
    
    // count the calls to equDisplay
    cycle++;
    
    // get address of active video
    char *p = getAVideo();
    
    // draw as many lines as fit in the vertical resolution
    n = ( N_FFT/2 > VRES) ? VRES : N_FFT/2;
    
    // increase thickness until there is room
    thick = 1;
    while( (n * (thick+1)) < VRES)
        thick++;      // increase thickness
    
    // for each bar in the graph 
    for( i=0; i<n; i++)
    {
        // reduce input values range to 0..15
//        v = (*buffer++)/16 ;  // linear
        v = (*buffer++);
//        if ( v>peak[i])
//            peak[i] = v;
        
        for( j=0; j<2; j++)
        {
            // draw a horizontal bar 
            for( q=1, k=0; k<16; q<<=1,k++)
            {
                if (( q<v) || ( k == peak[i]))  // log
//                if ((k<v) || (k == peak[i])) // linear
                {
                    if ( k> peak[i])
                        peak[i]=k;
                    p[k^3] = 0xff;
                }
                else
                    p[k^3] = 0; 
            } // for k
            p+=32;
        }// for j
    
        // spacing
        for (;j<thick; j++)
            p+=32;

        // slow peak anymation            
        if ( (cycle & 3) == 0)     // every eight cycles
            peak[i]--;
    } // for i    
}// equDisplay
