/*
**  FFT.h
**	
**  power of two optimized algorithm
*/

#include <math.h>

#define N_FFT   64              // samples must be power of 2
#define PI2N    2 * M_PI / N_FFT
#define BYTE unsigned char  

extern unsigned char inB[];
extern unsigned short outB[];
extern volatile int inCount;
extern float maxScale;

// preparation of the rotation vectors
void initFFT( void);

// input window
void windowFFT( BYTE *source);

// fast fourier transform 
void FFT( void);

// compute power and scale output
void powerScale( unsigned short *dest);
